package com.bonus.canteen.core.supply.purchase.domain.param;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

public class DrpOrderGoodsDetailSaveDTO {
   @ApiModelProperty("原料id")
   private @NotNull(
   message = "货品不能为空!"
) Long materialId;
   @ApiModelProperty("计量单位id")
   private Long unitId;
   @ApiModelProperty("规格")
   private String size;
   @ApiModelProperty("采购订单数量")
   private BigDecimal orderNum;
   @ApiModelProperty("采购单价")
   private @Min(
   value = 1L,
   message = "采购单价不能为0!"
) BigDecimal singlePrice;
   @ApiModelProperty("小计")
   private @Min(
   value = 1L,
   message = "小计不能为0"
) BigDecimal totalPrice;
   @ApiModelProperty("备注")
   private String remark;
   @ApiModelProperty("档口id")
   private Long stallId;

   public Long getMaterialId() {
      return this.materialId;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getSize() {
      return this.size;
   }

   public BigDecimal getOrderNum() {
      return this.orderNum;
   }

   public BigDecimal getSinglePrice() {
      return this.singlePrice;
   }

   public BigDecimal getTotalPrice() {
      return this.totalPrice;
   }

   public String getRemark() {
      return this.remark;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setSize(final String size) {
      this.size = size;
   }

   public void setOrderNum(final BigDecimal orderNum) {
      this.orderNum = orderNum;
   }

   public void setSinglePrice(final BigDecimal singlePrice) {
      this.singlePrice = singlePrice;
   }

   public void setTotalPrice(final BigDecimal totalPrice) {
      this.totalPrice = totalPrice;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }
}
